Bug 127 - libX11 breaks xkbcomp in XFree86 installation
Summary: libX11 breaks xkbcomp in XFree86 installation
Status: CLOSED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xlib (show other bugs)
Version: unspecified
Hardware: x86 (IA32) FreeBSD
: high normal
Assignee: Jim Gettys
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-10-28 23:59 UTC by Eric Anholt
Modified: 2011-10-15 17:23 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
excerpt of output to console from startx (3.91 KB, text/plain)
2003-10-29 00:00 UTC, Eric Anholt
no flags Details

Description Eric Anholt 2003-10-28 23:59:52 UTC
After installing libX11 over an existing XFree86 installation on FreeBSD, startx
produces the attached log file and pressing any key generally results in a mode
switch.  If libX11 is used in an already started session, it mostly works OK
(except for locale issues to be documented in a separate bug).
Comment 1 Eric Anholt 2003-10-29 00:00:24 UTC
Created attachment 63 [details]
excerpt of output to console from startx
Comment 2 Jim Gettys 2003-10-29 10:42:35 UTC
I have no clue...  Even of what is generating the error message...

Keith, do you have a clue?
Comment 3 Eric Anholt 2003-10-29 21:24:33 UTC
Fixed by commit to libX11 on 2003-10-29 by keithp.
Comment 4 Jeremy Huddleston Sequoia 2011-09-27 10:21:24 UTC
Mass update: Close all bugs resolved over one year ago.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.